package com.qmth.teachcloud.common.bean.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.teachcloud.common.enums.PrivilegeEnum;

import java.util.ArrayList;
import java.util.List;

/**
 * @Date: 2021/3/29.
 */
public class PrivilegeDto {

    private String id;
    private String name;
    private String url;
    private PrivilegeEnum type;

    @JsonSerialize(using = ToStringSerializer.class)
    private Long parentId;
    private Integer sequence;
    private List<PrivilegeDto> children = new ArrayList<>();

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public PrivilegeEnum getType() {
        return type;
    }

    public void setType(PrivilegeEnum type) {
        this.type = type;
    }

    public Long getParentId() {
        return parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    public Integer getSequence() {
        return sequence;
    }

    public void setSequence(Integer sequence) {
        this.sequence = sequence;
    }

    public List<PrivilegeDto> getChildren() {
        return children;
    }

    public void setChildren(List<PrivilegeDto> children) {
        this.children = children;
    }
}
