package com.qmth.teachcloud.report.business.bean.result;

import com.qmth.teachcloud.common.annotation.ExcelProperty;

/**
 * @Date: 2021/6/8.
 */
public class TeachCollegeResult {

    @ExcelProperty(name = "学期", width = 30, index = 1)
    private String semester;
    @ExcelProperty(name = "考试名称", width = 30, index = 2)
    private String examName;
    @ExcelProperty(name = "课程代码", width = 30, index = 3)
    private String courseCode;
    @ExcelProperty(name = "课程名称", width = 30, index = 4)
    private String courseName;
    @ExcelProperty(name = "准考证号", width = 30, index = 5)
    private String ticketNumber;
    @ExcelProperty(name = "学号", width = 30, index = 6)
    private String studentCode;
    @ExcelProperty(name = "姓名", width = 30, index = 7)
    private String name;
    @ExcelProperty(name = "考试类型", width = 30, index = 8)
    private String current;
    @ExcelProperty(name = "客观总分", width = 30, index = 9)
    private String objectiveScore;
    @ExcelProperty(name = "主观总分", width = 30, index = 10)
    private String subjectiveScore;
    @ExcelProperty(name = "卷面总分", width = 30, index = 11)
    private Integer totalScore;
    @ExcelProperty(name = "赋分总分", width = 30, index = 12)
    private Integer assignedScore;
    private String clazzCode;
    @ExcelProperty(name = "班级", width = 30, index = 13)
    private String clazzName;
    @ExcelProperty(name = "开课学院", width = 30, index = 14)
    private String teachCollegeName;
    @ExcelProperty(name = "考查学院", width = 30, index = 15)
    private String inspectCollegeName;
    @ExcelProperty(name = "任课老师", width = 30, index = 16)
    private String teacherName;

    public String getSemester() {
        return semester;
    }

    public void setSemester(String semester) {
        this.semester = semester;
    }

    public String getExamName() {
        return examName;
    }

    public void setExamName(String examName) {
        this.examName = examName;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getTicketNumber() {
        return ticketNumber;
    }

    public void setTicketNumber(String ticketNumber) {
        this.ticketNumber = ticketNumber;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCurrent() {
        return current;
    }

    public void setCurrent(String current) {
        this.current = current;
    }

    public String getObjectiveScore() {
        return objectiveScore;
    }

    public void setObjectiveScore(String objectiveScore) {
        this.objectiveScore = objectiveScore;
    }

    public String getSubjectiveScore() {
        return subjectiveScore;
    }

    public void setSubjectiveScore(String subjectiveScore) {
        this.subjectiveScore = subjectiveScore;
    }

    public Integer getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(Integer totalScore) {
        this.totalScore = totalScore;
    }

    public Integer getAssignedScore() {
        return assignedScore;
    }

    public void setAssignedScore(Integer assignedScore) {
        this.assignedScore = assignedScore;
    }

    public String getClazzCode() {
        return clazzCode;
    }

    public void setClazzCode(String clazzCode) {
        this.clazzCode = clazzCode;
    }

    public String getClazzName() {
        return clazzName;
    }

    public void setClazzName(String clazzName) {
        this.clazzName = clazzName;
    }

    public String getTeachCollegeName() {
        return teachCollegeName;
    }

    public void setTeachCollegeName(String teachCollegeName) {
        this.teachCollegeName = teachCollegeName;
    }

    public String getInspectCollegeName() {
        return inspectCollegeName;
    }

    public void setInspectCollegeName(String inspectCollegeName) {
        this.inspectCollegeName = inspectCollegeName;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }
}
