package com.qmth.teachcloud.report.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.qmth.teachcloud.report.business.entity.TAExamCourse;
import com.qmth.teachcloud.report.business.entity.TAExamTotal;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 考试维度总计 Mapper 接口
 * </p>
 *
 * @author wangliang
 * @since 2021-06-01
 */
public interface TAExamTotalMapper extends BaseMapper<TAExamTotal> {

    TAExamTotal getOverview(@Param("schoolId") Long schoolId, @Param("semester") String semester, @Param("examId") Long examId);

    IPage<TAExamCourse> getCourseSummary(@Param("page") Page<TAExamCourse> page, @Param("schoolId") Long schoolId, @Param("semester") String semester, @Param("examId") Long examId);
}
