package com.qmth.teachcloud.report.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.teachcloud.report.business.entity.TAExamCourse;
import com.qmth.teachcloud.report.business.entity.TAExamTotal;

import javax.servlet.http.HttpServletResponse;

/**
 * <p>
 * 考试维度总计 服务类
 * </p>
 *
 * @author wangliang
 * @since 2021-06-01
 */
public interface TAExamTotalService extends IService<TAExamTotal> {

    TAExamTotal getOverview(String semester, Long examId);

    IPage<TAExamCourse> getCourseSummary(String semester, Long examId, Integer pageNumber, Integer pageSize);

    void exportCourseSummary(String semester, Long examId, HttpServletResponse response);

    void exportDataAnalysis(String semester, Long examId, String courseCode, HttpServletResponse response);
}
